Log an activity on a requirement
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', performed_at: '2023-11-07T05:31:56Z'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks"
payload = {
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Requirements
Log an activity on a requirement
Logs a past, off-platform call, visit, message or email as a completed task of the requirement (the «Registrar actividad» composer of the detail).
POST
/
api
/
v1
/
accounts
/
{account_id}
/
requirements
/
{requirement_id}
/
agent_tasks
Log an activity on a requirement
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', performed_at: '2023-11-07T05:31:56Z'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/requirements/{requirement_id}/agent_tasks"
payload = {
"description": "<string>",
"performed_at": "2023-11-07T05:31:56Z"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Body
application/json
Response
Success